### Hierarchy

- ServerOptions

## Index

### Properties

- WebSocket
- backlog
- clientTracking
- host
- maxPayload
- noServer
- path
- perMessageDeflate
- port
- server
- skipUTF8Validation
- verifyClient

### Methods

- handleProtocols

## Properties

### Optional WebSocket

WebSocket?: typeof <internal>.WebSocket

### Optional backlog

backlog?: number

### Optional clientTracking

clientTracking?: boolean

### Optional host

host?: string

### Optional maxPayload

maxPayload?: number

### Optional noServer

noServer?: boolean

### Optional path

path?: string

### Optional perMessageDeflate

perMessageDeflate?: boolean | PerMessageDeflateOptions

### Optional port

port?: number

### Optional server

server?: <internal>.Server | <internal>.Server

### Optional skipUTF8Validation

skipUTF8Validation?: boolean

### Optional verifyClient

verifyClient?: VerifyClientCallbackSync | VerifyClientCallbackAsync

## Methods

### Optional handleProtocols

- handleProtocols(protocols: Set<string>, request: IncomingMessage): string | false

- #### Parameters

  - ##### protocols: Set<string>

  - ##### request: IncomingMessage

  #### Returns string | false

Generated using TypeDoc